<?php


Kirki::add_section( 'chained_page', array(
	'panel'          => 'chained_theme_settings',
	'title'    => __( 'Page', 'chained' ),
	'priority' => 30,
) );

Kirki::add_field( 'theme_settings', [
	'type'        => 'custom',
	'settings'    => 'custom_title_page',
	'section'     => 'chained_page',
	'default'     => '<div style="padding: 6px;text-transform: uppercase;letter-spacing: 1px;font-weight: bold;text-align: center;background-color: #f04e39; color: #fff;">' . esc_html__( 'Page Options', 'chained' ) . '</div>',
	'priority'    => 10,
] );

Kirki::add_field( 'theme_settings', [
	'type'        => 'slider',
	'settings'    => 'chained_page_content_width',
	'label'       => esc_html__( 'Total Width', 'chained' ),
	'description' => esc_html__( 'Total width for the page wrapper - default 1600px', 'chained' ),
	'section'     => 'chained_page',
	'default'     => 1600,
	'choices'     => [
		'min'  => 1000,
		'max'  => 1900,
		'step' => 10,
	],
	'output' => array(
		array(
			'element'  => '.page .single-content .wrapper',
			'property' => 'max-width',
			'units'		=> 'px',
		),
	),
] );

Kirki::add_field( 'theme_settings', [
	'type'        => 'radio-buttonset',
	'settings'    => 'page_entry_header_text_position',
	'label'       => esc_html__( 'Entry Header Position', 'chained' ),
	'description' => __( 'Here you can change the position for Page Title and breadcrumbs. Default: Left', 'chained' ),
	'section'     => 'chained_page',
	'default'     => 'left',
	'priority'    => 20,
	'choices'     => [
		'left'   	=> esc_html__( 'Left', 'chained' ),
		'middle'   	=> esc_html__( 'Middle', 'chained' ),
		'right' 	=> esc_html__( 'Right', 'chained' ),
	],
] );