<?php

//////////////===================Single Post
// Add Section Single.
Kirki::add_section( 'chained_single_masonry', array(
    'panel'    => 'chained_theme_settings',
    'title'    => __( 'Single', 'chained' ),
    'priority' => 30,
) );
Kirki::add_field( 'theme_settings', [
    'type'     => 'custom',
    'settings' => 'custom_title_single_section_free',
    'section'  => 'chained_single_masonry',
    'default'  => '<div style="padding: 12px;background-color: #f04e39; color: #fff;">' . esc_html__( 'Settings for the single post. In the PRO version of Chained you can customize: Total width of the container, Hide post categories, Author name, Post date, Author details, Comments number, Author avatar, Related posts, Share Icons.  ', 'chained' ) . '</div>',
    'priority' => 10,
] );
Kirki::add_field( 'theme_settings', [
    'type'      => 'typography',
    'settings'  => 'chained_single_title_typography',
    'label'     => esc_html__( 'Single Post Title Appearance', 'chained' ),
    'section'   => 'chained_single_masonry',
    'default'   => [
    'font-family'    => 'Roboto Condensed',
    'variant'        => '700',
    'font-size'      => '48px',
    'line-height'    => '1.1',
    'letter-spacing' => '2.5px',
    'color'          => '#121212',
    'text-transform' => 'uppercase',
],
    'priority'  => 10,
    'transport' => 'auto',
    'output'    => [ [
    'element' => '.single-content .single-content-wrapper .single-content-inner .post .entry-header .single-entry-title, .single-content .single-content-wrapper .single-content-inner .attachment .entry-header .single-entry-title',
] ],
] );
Kirki::add_field( 'theme_settings', [
    'type'      => 'typography',
    'settings'  => 'chained_single_content_typography',
    'label'     => esc_html__( 'Single Post Content Appearance', 'chained' ),
    'section'   => 'chained_single_masonry',
    'default'   => [
    'font-family'    => 'Roboto Condensed',
    'variant'        => 'normal',
    'font-size'      => '18px',
    'line-height'    => '1.5',
    'letter-spacing' => '0',
    'color'          => '#121212',
    'text-transform' => 'none',
],
    'priority'  => 10,
    'transport' => 'auto',
    'output'    => [ [
    'element' => 'body.single-post .single-content .single-content-wrapper .single-content-inner .post .entry-content p ',
] ],
] );
Kirki::add_field( 'theme_settings', [
    'type'      => 'typography',
    'settings'  => 'chained_widgets_titles_typography',
    'label'     => esc_html__( 'Widgets Titles Appearance', 'chained' ),
    'section'   => 'chained_single_masonry',
    'default'   => [
    'font-family'    => 'Roboto Condensed',
    'variant'        => '700',
    'font-size'      => '18px',
    'letter-spacing' => '0.1em',
    'color'          => '#121212',
    'text-transform' => 'uppercase',
],
    'priority'  => 10,
    'transport' => 'auto',
    'output'    => [ [
    'element' => '.widget-area .widget h4.widget-title,
			.single-content .single-content-wrapper .single-content-inner .post .content-with-socials .sharedaddy .sd-social .sd-title, .single-content .single-content-wrapper .single-content-inner .attachment .content-with-socials .sharedaddy .sd-social .sd-title,
			.single-content .single-content-wrapper .single-content-inner .author-info .author-info-inner .author-description .author-name,.single-content .single-content-wrapper .single-content-inner .comments-area .comments-area-title h3,.single-content .single-content-wrapper .single-content-inner .related-posts h3',
] ],
] );
Kirki::add_field( 'theme_settings', [
    'type'        => 'color',
    'settings'    => 'chained_widgets_colors',
    'label'       => __( 'Widgets Color Settings', 'chained' ),
    'description' => esc_html__( 'Color for all widgets texts', 'chained' ),
    'section'     => 'chained_single_masonry',
    'default'     => '#121212',
    'output'      => array( array(
    'element'  => '.widget-area .widget, .widget-area .widget a, .offcanvas-navigation .offcanvas-content .offcanvas-navigation-wrapper .nav--main li.menu-item a',
    'property' => 'color',
), array(
    'element'  => '.offcanvas-navigation .offcanvas-content .offcanvas-navigation-wrapper .nav--social li a svg',
    'property' => 'fill',
) ),
] );